%define api 5
%define major 5
%define oname qt5

%define module qtquickcontrols

%define qmlqtquickcontrols %mklibname qt5-qtquickcontrols-qml

# Requires qdoc5 and qt5-tools to build
%bcond_without docs

Summary:	Version 5 of the Qt toolkit (%{module} packages)
Name:		qt5-%{module}
Version:	5.6.1
Release:	1
License:	LGPLv3+
Group:		Development/KDE and Qt
Url:		http://qt-project.org/
Source0:	http://ftp.fau.de/qtproject/official_releases/qt/%(echo %{version} |cut -d. -f1-2)/%{version}/submodules/%{module}-opensource-src-%{version}.tar.xz
Source100:	%{name}.rpmlintrc
BuildRequires:	pkgconfig(Qt5Core) >= %{version}
BuildRequires:	pkgconfig(Qt5Gui) >= %{version}
BuildRequires:	pkgconfig(Qt5Network) >= %{version}
BuildRequires:	pkgconfig(Qt5Qml) >= %{version}
BuildRequires:	pkgconfig(Qt5Quick) >= %{version}
BuildRequires:	pkgconfig(Qt5Sql) >= %{version}
BuildRequires:	pkgconfig(Qt5Widgets) >= %{version}
%if %{with docs}
BuildRequires:	qdoc5
BuildRequires:	qt5-tools
%endif

%description
Version 5 of the Qt toolkit (%{module} packages).

#--------------------------------------------------------------------

%package -n %{qmlqtquickcontrols}
Summary:	QML plugin for Qt 5 Quick Controls module
Group:		System/Libraries
Provides:	qt5-qtquickcontrols-qml = %{EVRD}
Suggests:	qt5-qtquickcontrols-i18n
Conflicts:	%{_lib}qt5quick5 < 5.6.0

%description -n %{qmlqtquickcontrols}
QML plugin for Qt 5 Quick Controls module.

%files -n %{qmlqtquickcontrols}
%{_qt5_prefix}/qml/QtQuick/Controls/
%{_qt5_prefix}/qml/QtQuick/Dialogs/
%{_qt5_prefix}/qml/QtQuick/Extras/
%{_qt5_prefix}/qml/QtQuick/Layouts/
%{_qt5_prefix}/qml/QtQuick/PrivateWidgets/

#----------------------------------------------------------------------------

%if %{with docs}
%package doc
Summary:	Qt QCH documentation for %{name}
Group:		Documentation
Conflicts:	qt5-doc < 5.6.0
BuildArch:	noarch

%description doc
Qt QCH documentation for %{name}.

%files doc
%{_qt5_docdir}/qtquickcontrols.qch
%{_qt5_docdir}/qtquickdialogs.qch
%{_qt5_docdir}/qtquickextras.qch
%{_qt5_docdir}/qtquicklayouts.qch
%endif

#----------------------------------------------------------------------------

%package examples
Summary:	Example applications for %{name}
Group:		Development/KDE and Qt

%description examples
Example applications for %{name}.

%files examples
%{_qt5_exampledir}/quickcontrols/

#----------------------------------------------------------------------------

%prep
%setup -qn %{module}-opensource-src-%{version}

%build
%qmake_qt5
%make STRIP=true

%if %{with docs}
%make docs
%endif

%install
make install STRIP=true INSTALL_ROOT=%{buildroot}

%if %{with docs}
make install_qch_docs INSTALL_ROOT=%{buildroot}
%endif


%changelog

* Sun Jun 12 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.1-1
- (5be07fb) Update examples


